MozillaZine

SeaMonkey 1.1.3 Released

Friday July 20th, 2007

Robert Kaiser wrote in to inform us of the release of SeaMonkey 1.1.3, which contains fixes for several security vulnerabilities and several smaller problems found in previous versions.

The SeaMonkey team strongly urges users of the old Mozilla Suite and Netscape 4, 6 or 7 to upgrade to SeaMonkey 1.1.3, as those software packages suffer from an increasing number of security vulnerabilities and are no longer being maintained.

SeaMonkey 1.1.3 is available for download from the SeaMonkey Project Website.


#1 Great Job!

by SomeGuy

Sunday July 22nd, 2007 5:22 AM

Reply to this message

Once again, great job SeaMonkey Team!

(And who is using Netscape 4? Try it, you can hardly browse any modern web with that these days)

#2 Re: Great Job!

by roseman

Monday July 23rd, 2007 11:48 AM

Reply to this message

just a few of us have Netscape 4.x as a backup alternate for those rare misguided sites which have non-standards-complaint code that dont render correctly with ff; you don't really want to fall back onto ms-ie for anything other than windows-update, do you?

sometimes N-4.x will render a site that ff won't. Bad site, no donut!